Bug 24698 - broken /lib/modules/$(uname -r)/build link
broken /lib/modules/$(uname -r)/build link
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Florence RC-1
Depends On:
  Show dependency treegraph
Reported: 2001-01-23 11:27 EST by Jeremy Katz
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-24 06:29:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2001-01-23 11:27:59 EST
/lib/modules/$(uname -r)/build is pointing into the build system root
(/usr/src/bs/BUILD/kernel-2.4.0/linux) as opposed to /usr/src/linux-2.4.0
which breaks building external modules.  This is the case in at least both
of 2.4.0-0.99.5 and 2.4.0-0.99.9
Comment 1 Glen Foster 2001-01-23 12:43:46 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 2 Arjan van de Ven 2001-01-24 06:29:21 EST
I think I have a handle on this, potential fix is in CVS
Comment 3 Arjan van de Ven 2001-01-24 07:57:45 EST
the symlink is to  ../../../usr/src/linux-2.4.0
but it works.

Note You need to log in before you can comment on or make changes to this bug.